
!--------------------------------------------------------------------
! Parameters for Shape Healing
!--------------------------------------------------------------------

ShapeProcess.exec.op : FixShape,FixFaceSize,DropSmallEdges,SameParameter

ShapeProcess.SplitAngle.Angle				: 3.1415928
ShapeProcess.SplitAngle.MaxTolerance			: 0.1
ShapeProcess.SplitAngle.SegmentSurfaceMode		: 1

ShapeProcess.SplitClosedFaces.NbSplitPoints          	: 1
ShapeProcess.SplitClosedFaces.CloseTolerance         	: 0.05
ShapeProcess.SplitClosedFaces.MaxTolerance		: 0.1
ShapeProcess.SplitClosedFaces.SegmentSurfaceMode	: 1

ShapeProcess.FixFaceSize.Tolerance                   	: 0.05

ShapeProcess.DropSmallEdges.Tolerance3d              	: 0.05

ShapeProcess.BSplineRestriction.SurfaceMode		: 1
ShapeProcess.BSplineRestriction.Curve3dMode		: 1
ShapeProcess.BSplineRestriction.Curve2dMode		: 1
ShapeProcess.BSplineRestriction.OffsetSurfaceMode	: 1
ShapeProcess.BSplineRestriction.OffsetCurve3dMode	: 1
ShapeProcess.BSplineRestriction.OffsetCurve2dMode	: 1
ShapeProcess.BSplineRestriction.LinearExtrusionMode	: 1
ShapeProcess.BSplineRestriction.RevolutionMode	        : 1
ShapeProcess.BSplineRestriction.Tolerance3d		: 1e-3
ShapeProcess.BSplineRestriction.Tolerance2d		: 1e-5
ShapeProcess.BSplineRestriction.Continuity3d		: C1
ShapeProcess.BSplineRestriction.Continuity2d		: C1
ShapeProcess.BSplineRestriction.RequiredDegree	        : 15
ShapeProcess.BSplineRestriction.RequiredNbSegments	: 100
ShapeProcess.BSplineRestriction.PreferDegree		: 1
ShapeProcess.BSplineRestriction.RationalToPolynomial	: 1
ShapeProcess.BSplineRestriction.MaxDegree		: 15
ShapeProcess.BSplineRestriction.MaxNbSegments	        : 10000
ShapeProcess.BSplineRestriction.SegmentSurfaceMode	: 1
ShapeProcess.BSplineRestriction.ConvCurve3dMode 	: 0
ShapeProcess.BSplineRestriction.ConvCurve2dMode 	: 0
ShapeProcess.BSplineRestriction.PlaneMode 		: 0
ShapeProcess.BSplineRestriction.BezierMode 		: 0

ShapeProcess.SplitContinuity.Tolerance3d		:1.e-3
ShapeProcess.SplitContinuity.SurfaceContinuity		:C0
ShapeProcess.SplitContinuity.CurveContinuity		:C1

ShapeProcess.ToBezier.EdgeMode				: 0
ShapeProcess.ToBezier.SurfaceMode			: 0
ShapeProcess.ToBezier.PlaneMode				: 1
ShapeProcess.ToBezier.RevolutionMode			: 1
ShapeProcess.ToBezier.ExtrusionMode			: 1
ShapeProcess.ToBezier.BSplineMode			: 1
ShapeProcess.ToBezier.Curve3dMode			: 1
ShapeProcess.ToBezier.Curve2dMode			: 1
ShapeProcess.ToBezier.Line3dMode			: 1
ShapeProcess.ToBezier.Circle3dMode			: 1
ShapeProcess.ToBezier.Conic3dMode			: 1
ShapeProcess.ToBezier.MaxTolerance			: 0.1
ShapeProcess.ToBezier.SegmentSurfaceMode		: 1
ShapeProcess.ToBezier.MinCurveLength			: 0.05

ShapeProcess.FixShape.Tolerance3d			: 1.e-7
ShapeProcess.FixShape.MaxTolerance3d			: 1
ShapeProcess.FixShape.MinTolerance3d			: 1.e-7
ShapeProcess.FixShape.FixFreeShellMode			: -1
ShapeProcess.FixShape.FixFreeFaceMode			: -1
ShapeProcess.FixShape.FixFreeWireMode			: -1
ShapeProcess.FixShape.FixSameParameterMode		: -1
ShapeProcess.FixShape.FixSolidMode			: -1
ShapeProcess.FixShape.FixShellMode			: -1
ShapeProcess.FixShape.FixFaceMode			: -1
ShapeProcess.FixShape.FixWireMode			: -1
ShapeProcess.FixShape.FixOrientationMode		: -1
ShapeProcess.FixShape.FixMissingSeamMode		: -1
ShapeProcess.FixShape.FixSmallAreaWireMode		: -1
ShapeProcess.FixShape.ModifyTopologyMode		: 0
ShapeProcess.FixShape.ModifyGeometryMode		: 1
ShapeProcess.FixShape.ClosedWireMode			: 1
ShapeProcess.FixShape.PreferencePCurveMode		: 1
ShapeProcess.FixShape.FixReorderMode			: -1
ShapeProcess.FixShape.FixSmallMode			: -1
ShapeProcess.FixShape.FixConnectedMode			: -1
ShapeProcess.FixShape.FixEdgeCurvesMode			: -1
ShapeProcess.FixShape.FixDegeneratedMode		: -1
ShapeProcess.FixShape.FixLackingMode			: -1
ShapeProcess.FixShape.FixSelfIntersectionMode		: -1
ShapeProcess.FixShape.FixReversed2dMode			: -1
ShapeProcess.FixShape.FixRemovePCurveMode		: -1
ShapeProcess.FixShape.FixRemoveCurve3dMode		: -1
ShapeProcess.FixShape.FixAddPCurveMode			: -1
ShapeProcess.FixShape.FixAddCurve3dMode			: -1
ShapeProcess.FixShape.FixSeamMode			: -1
ShapeProcess.FixShape.FixShiftedMode			: -1
ShapeProcess.FixShape.FixEdgeSameParameterMode		: 0
ShapeProcess.FixShape.FixSelfIntersectingEdgeMode	: -1
ShapeProcess.FixShape.FixIntersectingEdgesMode		: -1
ShapeProcess.FixShape.FixNonAdjacentIntersectingEdgesMode : -1
ShapeProcess.FixShape.FixIntersectingWiresMode	        : -1
ShapeProcess.FixShape.FixLoopWiresMode     	        : -1
ShapeProcess.FixShape.CreateOpenSolidMode               :0

ShapeProcess.SameParameter.Force                        : 0
ShapeProcess.SameParameter.Tolerance3d			: 1.e-7

!===========================================================================
! Description of parameters for Operations
!===========================================================================
! .MaxTolerance                        : Maximal tolerance for comparing curves, points which is 
!					  used by splitting tools. The tools that are used this 
!					  parameter are the following: SplitAngle, SplitClosedFaces,
!					  ToBezier. This value should be the same for all tools in 
!                                         one sequence. To redefine default value uncomment 
!                                         appropriate line in each operator.
! .SegmentSurfaceMode			: Mode for limiting surface by UV boundaries of face that
!					  is based on this surface. If flag is 1 the surface is
!					  limited. This mode is used by splitting tools (SplitAngle, 
!                                         SplitClosedFaces, ToBezier). This value should be the same
!					  for all tools in one sequence. To redefine default value
!					  uncomment appropriate line in each operator.
! BSplineRestriction			: Approximation of general B-Spline and Bezier with particular B-Spline
! BSplineRestriction.ConvCurve3dMode    : Mode of conversion of any 3D curve to BSpline and approximation,
! BSplineRestriction.ConvCurve2dMode    : Mode of conversion of any 2D curve to BSpline and approximation,
! BSplineRestriction.PlaneMode		: Mode of conversion of Geom_Plane to BSpline surface,
! BSplineRestriction.BezierMode		: Mode of conversion of Besier surface to BSpline and approximation,
! BSplineRestriction.SurfaceMode	: Mode of approximation of surfaces if restriction is necessary, yes/no
! BSplineRestriction.Curve3dMode	: Mode of approximation of 3D curves if restriction is necessary, yes/no 
! BSplineRestriction.Curve2dMode	: Mode of approximation of 2D curves if restriction is necessary, yes/no
! BSplineRestriction.OffsetSurfaceMode  : Mode of conversion of offset surfaces to BSpline surface, yes/no
!					: Yes - surface is converted to BSpline surface
!					: No - basis surface is processed but offset surface is kept.
!					: This mode acts if BSplineRestriction.SurfaceMode is yes.
! BSplineRestriction.LinearExtrusionMode: Mode of conversion of linear extrusion surfaces to BSpline surface, yes/no
!					: Yes - surface is converted to BSpline surface
!					: No - basis curve is processed but extrusion surface is kept.
!					: This mode acts if BSplineRestriction.SurfaceMode is yes.
! BSplineRestriction.RevolutionMode     : Mode of conversion surfaces of revolution to BSpline surface, yes/no
!					: Yes - surface is converted to BSpline surface
!					: No - basis curve is processed but revolution surface is kept.
!                                       : This mode acts if BSplineRestriction.SurfaceMode is yes.
! BSplineRestriction.OffsetCurve3dMode  : Mode of conversion of 3d offset curves to BSpline curves, yes/no
!					: Yes - curve is converted to BSpline curve
!					: No - basis curve is processed but offset curve is kept.
!					: This mode acts if BSplineRestriction.Curve3dMode is yes.
! BSplineRestriction.OffsetCurve2dMode  : Mode of conversion of 2d offset curves to BSpline curves, yes/no
!					: Yes - curve is converted to BSpline curve
!					: No - basis curve is processed but offset curve is kept.
!					: This mode acts if BSplineRestriction.Curve2dMode is yes.
! BSplineRestriction.Tolerance3d	: Tolerance of 3D approximation
! BSplineRestriction.Tolerance2d	: Tolerance of 2D approximation
! BSplineRestriction.Continuity3d	: Required continuity of 3D geometry
! BSplineRestriction.Continuity2d	: Required continuity of 2D geometry
! BSplineRestriction.RequiredDegree	: Required degree of B-Spline 
! BSplineRestriction.RequiredNbSegments	: Required maximum number of segments of B-Spline
! BSplineRestriction.PreferDegree	: Preference between requirement to degree and maximum number of segments, true/false
! BSplineRestriction.RationalToPolynomial: Mode of conversion of rational B-Spline to polynomial, yes/no
! BSplineRestriction.MaxDegree 		: Maximum allowed degree of B-Spline
! BSplineRestriction.MaxNbSegments 	: Maximum allowed number of segments in a B-Spline

! DirectFaces				: Conversion of elementary surface in left-handed coordinate system into right-handed
! no parameters

! ElementaryToRevolution		: Conversion of elementary revolutive surface into general surface of revolution
! no parameters

! SameParameter				: Conversion of edge to be SameRange and SameParameter
! SameParameter.Force			: Mode of forced invoking, true/false
! SameParameter.Tolerance3d		: 3D tolerance

! SplitAngle				: Split revolutive surface (elementary and general) into several surfaces
! SplitAngle.Angle			: Maximum angle of revolution, radian

! SplitClosedFaces			: Split faces that have seam-edge or geometrically closed on closed surface.
! SplitClosedFaces.NbSplitPoints        : Number of cuttings (number of resulting faces will be NbSplitPoints+1)
! SplitClosedFaces.CloseTolerance       : Precision to define geometric closure.

! SplitContinuity			: Correction or split shapes to have speicified continuity
! SplitContinuity.Tolerance3d		: 3D tolerance for correction of geometry
! SplitContinuity.SurfaceContinuity	: Required continuity for surfaces
! SplitContinuity.CurveContinuity	: Required continuity for curves

! ToBezier				: Conversion of geometry into Bezier
! ToBezier.SurfaceMode			: Mode of conversion of surfaces, yes/no
! ToBezier.PlaneMode			: Mode of conversion of Planes,yes/no. This mode acts if SurfaceMode is yes.
! ToBezier.RevolutionMode		: Mode of conversion of Surfaces of Revolution (generatrix to bezier), yes/no.
!					  This mode acts if SurfaceMode is yes.
! ToBezier.ExtrusionMode		: Mode of conversion of Surfaces of Extrusion (whole surface not only generatrix), yes/no.
!					  This mode acts if SurfaceMode is yes.
! ToBezier.BSplineMode			: Mode of conversion of BSpline Surfaces, yes/no. This mode acts if SurfaceMode is yes.
! ToBezier.EdgeMode			: Mode of translation edges (0- Free,1 - Shared,2- Both)
!					: .Default - Free. Acts on translation curves 3d . 
|					: If it is 0 (Free) that only free edges are taken into
!					: account for translation 3d curves,
!					: if it is 1 (Shared) that only shared edges are taken into
!					: account for translation 3d curves,
!					: if it is 2 (Both) that all edges are taken into
!					: account for translation 3d curves,
! ToBezier.Curve3dMode			: Mode of conversion 3D curves, yes/no
! ToBezier.Curve2dMode			: Mode of conversion 2D curves, yes/no
! ToBezier.Line3dMode			: Mode of conversion 3D lines, yes/no
! ToBezier.Circle3dMode			: Mode of conversion 3D circles, yes/no
! ToBezier.Conic3dMode			: Mode of conversion 3D conics, yes/no
! ToBezier.MinCurveLength		: Min length of created curves 3d.( default 0.05)


! FixFaceSize                           : Removing small faces
! FixFaceSize.Tolerance                 : Tolerance in 3d

! DropSmallEdges                        : Eliminate small edges by removing or merging with neighbour
! DropSmallEdges.Tolerance3d            : Tolerance (3d)

! FixShape.Tolerance3d			: Tolerance (3d) for fixing of shape.
! FixShape.MaxTolerance3d		: Maximal possible value of increasing of tolerance during fixing.
! FixShape.MinTolerance3d		: Minimal value of tolerance.
! FixShape.FixFreeShellMode		: Mode for fixing free shells in the shape (default - -1, yes - 1 , no - 0).
! FixShape.FixFreeFaceMode		: Mode for fixing free faces in the shape (default - -1, yes - 1 , no - 0).  
! FixShape.FixFreeWireMode		: Mode for fixing free wires in the shape (default - -1, yes - 1 , no - 0).
! FixShape.FixSameParameterMode		: Mode for fixing same parameter on the whole shape (default - -1, yes - 1 , no - 0).
! FixShape.FixSolidMode			: Mode for fixing solids (default - -1, yes - 1 , no - 0).
! FixShape.FixShellMode			: Mode for fixing shells (default - -1, yes - 1 , no - 0).
! FixShape.FixFaceMode			: Mode for fixing faces (default - -1, yes - 1 , no - 0).
! FixShape.FixWireMode			: Mode for fixing wires (default - -1, yes - 1 , no - 0).
! FixShape.FixOrientationMode		: Mode for fixing face orientation (default - -1, yes - 1 , no - 0).
! FixShape.FixMissingSeamMode		: Mode for fixing face missing seam (default - -1, yes - 1 , no - 0).
! FixShape.FixSmallAreaWireMode		: Mode for fixing small area wires (default - -1, yes - 1 , no - 0).
! FixShape.ModifyTopologyMode		: Mode allowing of modifing of topology (default - 0, yes - 1 , no - 0).
! FixShape.ModifyGeometryMode		: Mode allowing of modifing of geometry (default - 1, yes - 1 , no - 0).
! FixShape.ClosedWireMode		: Mode defining whether the wire is to be closed. (default - 1, yes - 1 , no - 0).
! FixShape.PreferencePCurveMode		: Mode defining of preference of 2d representation (default - 1, yes - 1 , no - 0). 
! FixShape.FixReorderMode		: Mode for fixing of order of the edges in the wire (default - -1, yes - 1 , no - 0).
! FixShape.FixSmallMode			: Mode for removing of the small edges from the wire in the case when 
!					: ModifyTopologyMode equaled "yes" (default - -1, yes - 1 , no - 0).
! FixShape.FixConnectedMode		: Mode for fixing of connecting of edges in the wire(default - -1, yes - 1 , no - 0).
! FixShape.FixEdgeCurvesMode		: Moge for fixing each edge from the wire (default - -1, yes - 1 , no - 0).
! FixShape.FixDegeneratedMode		: Moge for fixing cases of degenerate pcurve (default - -1, yes - 1 , no - 0).
! FixShape.FixLackingMode		: Moge for fixing cases of lacking edge (default - -1, yes - 1 , no - 0).
! FixShape.FixSelfIntersectionMode	: Mode for fixing of cases self-intersection of wire (default - -1, yes - 1 , no - 0).
! FixShape.FixReversed2dMode		: Mode for fixing cases when pcurve is opposite curve3d (default - -1, yes - 1 , no - 0).
! FixShape.FixRemovePCurveMode		: Mode for removing of pcurves from edges (default - -1, yes - 1 , no - 0).
! FixShape.FixRemoveCurve3dMode		: Mode for removing of 3d curves from edges (default - -1, yes - 1 , no - 0).
! FixShape.FixAddPCurveMode		: Mode for adding pcurves of the edges if missing (default - -1, yes - 1 , no - 0).
! FixShape.FixAddCurve3dMode		: Mode for adding curves 3d of the edges if missing (default - -1, yes - 1 , no - 0).
! FixShape.FixSeamMode			: Mode for fixing cases of seam edges.
! FixShape.FixShiftedMode		: Mode for fixing cases when pcurves can be shifted on period on the closed surface
!					  (default - -1, yes - 1 , no - 0). 
! FixShape.FixEdgeSameParameterMode	: Mode for fixing same parameter for each edge (default - -1, yes - 1 , no - 0).
! FixShape.FixSelfIntersectingEdgeMode	: Mode for fixing cases self-intrsection edge (default - -1, yes - 1 , no - 0).
! FixShape.FixIntersectingEdgesMode	: Mode for fixing intersection adjacent edges.
! FixShape.FixNonAdjacentIntersectingEdgesMode : Mode for fixing intersection non-adjacent edges.
!
